﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Diagnostics;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Windows.Interop;

namespace Sample1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public static IntPtr ApplicationMessageFilter(IntPtr hwnd, int message, IntPtr wParam, IntPtr lParam, ref bool handled)
        {
            return IntPtr.Zero;
        }

        public MainWindow()
        {
            InitializeComponent();

            chart_RegressionChart1.Loaded += Chart_RegressionChart1_Loaded;
            chart_RegressionChart2.Loaded += Chart_RegressionChart2_Loaded;
            chart_RegressionChart3.Loaded += Chart_RegressionChart3_Loaded;
            chart_RegressionChart4.Loaded += Chart_RegressionChart4_Loaded;
        }

        private void Chart_RegressionChart1_Loaded(object sender, RoutedEventArgs e)
        {
            Save(chart_RegressionChart1,"test1.png");
        }
        private void Chart_RegressionChart2_Loaded(object sender, RoutedEventArgs e)
        {
            Save(chart_RegressionChart2,"test2.png");
        }
        private void Chart_RegressionChart3_Loaded(object sender, RoutedEventArgs e)
        {
            Save(chart_RegressionChart3, "test3.png");
        }
        private void Chart_RegressionChart4_Loaded(object sender, RoutedEventArgs e)
        {
            Save(chart_RegressionChart4, "test4.png");
        }

        private void Save(SimpleScatterRegression regression, string name)
        {
            HwndSourceParameters sourceParameters = new HwndSourceParameters();

            sourceParameters.HwndSourceHook = ApplicationMessageFilter;

            HwndSource source = new HwndSource(sourceParameters);

            SfChart clone = regression.plot_RegressionPlot.Clone() as SfChart;
            clone.Series[0].EnableAnimation = false;
            clone.FontSize = 48;
            clone.Width = 1024;
            clone.Height = 768;

            source.RootVisual = clone;

            clone.Save(name);
        }

        public void clk_Save(object sender, EventArgs e)
        {
           
        }
    }

   public class XYCoordinate
    {
        public double Time { get; set; }

        public double Value { get; set; }
    }

    public class PerformanceValue
    {
        public string Repetition { get; set; }
        public double Performance { get; set; }
    }
    
}
