﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample1
{
    /// <summary>
    /// Interaction logic for SimpleScatterRegression.xaml
    /// </summary>
    public partial class SimpleScatterRegression : UserControl
    {
        public SimpleScatterRegression()
        {
            InitializeComponent();

            RegressionViewModel rvm = new RegressionViewModel(
               new List<double>(){
                0.0f,
                0.14f,
                0.18f,
                0.23f,
                0.32f
           },
           new List<double>()
           {
                8.2f,
                6.5f,
                4.0f,
                3.3f,
                1.8f
           });

            var series = new ScatterSeries()
            {
                Label = "Rep " + (plot_RegressionPlot.Series.Count + 1),
                ScatterWidth = 10,
                ScatterHeight = 10,

                YBindingPath = "Time",
                XBindingPath = "Value",
                EnableDragTooltip = true,
                ShowTooltip = true,
                Trendlines = new ChartTrendLineCollection()
                {
                    new Trendline()
                    { Type = TrendlineType.Linear}
                },
                EnableAnimation = true
            };
            series.DataContext = rvm;
            series.ItemsSource = rvm.Data;
            //ScatterSeries.Add(series);
            plot_RegressionPlot.Series.Add(series);
        }

    }

    public class RegressionViewModel
    {
        public List<XYCoordinate> Data { get; set; }
        public List<XYCoordinate> RegressionData { get; set; }

        public List<PerformanceValue> PerformanceData { get; set; }

        public RegressionViewModel(List<double> times, List<double> values)
        {
            List<string> reps = new List<string>() { "Rep 1", "Rep 2", "Rep 3", "Rep 4" };
            List<double> perf = new List<double>() { 1.5f, 1.75f, 2.48f, 2.66f };
            List<PerformanceValue> repValues = new List<PerformanceValue>();
            for (int i = 0; i < reps.Count; i++)
            {
                repValues.Add(new PerformanceValue() { Repetition = reps[i], Performance = perf[i] });
            }
            PerformanceData = repValues;

            List<XYCoordinate> actualValues = new List<XYCoordinate>();
            for (int i = 0; i < times.Count; i++)
            {
                actualValues.Add(new XYCoordinate() { Time = times[i], Value = values[i] });
            }

            Data = actualValues;
        }
    }
}
